Modify

Opened 5 years ago

Closed 3 years ago

Last modified 3 years ago

#13523 closed defect (duplicate)

rt2800usb_txdone: Warning - Got TX status for an empty queue 2, dropping

Reported by: rsd1987@… Owned by: developers
Priority: normal Milestone: Barrier Breaker 14.07
Component: packages Version: Attitude Adjustment 12.09
Keywords: Cc:

Description

[ 5050.200000] phy2 -> rt2800usb_txdone: Warning - Got TX status for an empty queue 2, dropping
[ 5050.200000] phy2 -> rt2800usb_txdone: Warning - Got TX status for an empty queue 2, dropping
[ 5050.210000] phy2 -> rt2800usb_txdone: Warning - Data pending for entry 3 in queue 2
[ 5050.220000] phy2 -> rt2800usb_txdone: Warning - Got TX status for an empty queue 2, dropping
[ 5050.230000] phy2 -> rt2800usb_txdone: Warning - Got TX status for an empty queue 2, dropping
[ 5050.240000] phy2 -> rt2800usb_txdone: Warning - Got TX status for an empty queue 2, dropping
[ 5050.250000] phy2 -> rt2800usb_txdone: Warning - Got TX status for an empty queue 2, dropping
[ 5050.260000] phy2 -> rt2800usb_txdone: Warning - Got TX status for an empty queue 2, dropping
[ 5050.260000] phy2 -> rt2800usb_txdone: Warning - Got TX status for an empty queue 2, dropping
[ 5050.270000] phy2 -> rt2800usb_txdone: Warning - Got TX status for an empty queue 2, dropping
[ 5050.280000] phy2 -> rt2800usb_txdone: Warning - Got TX status for an empty queue 2, dropping
[ 5050.290000] phy2 -> rt2800usb_txdone: Warning - Got TX status for an empty queue 2, dropping
[ 5050.420000] phy2 -> rt2800usb_entry_txstatus_timeout: Warning - TX status timeout for entry 7 in queue 2
[ 5050.420000] phy2 -> rt2800usb_entry_txstatus_timeout: Warning - TX status timeout for entry 7 in queue 2
[ 5050.430000] phy2 -> rt2800usb_entry_txstatus_timeout: Warning - TX status timeout for entry 7 in queue 2
[ 5050.440000] phy2 -> rt2800usb_entry_txstatus_timeout: Warning - TX status timeout for entry 8 in queue 2
[ 5050.450000] phy2 -> rt2800usb_entry_txstatus_timeout: Warning - TX status timeout for entry 9 in queue 2
[ 5050.460000] phy2 -> rt2800usb_entry_txstatus_timeout: Warning - TX status timeout for entry 10 in queue 2
[ 5050.470000] phy2 -> rt2800usb_entry_txstatus_timeout: Warning - TX status timeout for entry 11 in queue 2
[ 5050.480000] phy2 -> rt2800usb_entry_txstatus_timeout: Warning - TX status timeout for entry 12 in queue 2
[ 5050.490000] phy2 -> rt2800usb_entry_txstatus_timeout: Warning - TX status timeout for entry 13 in queue 2
[ 5050.500000] phy2 -> rt2800usb_entry_txstatus_timeout: Warning - TX status timeout for entry 14 in queue 2
[ 5050.510000] phy2 -> rt2800usb_entry_txstatus_timeout: Warning - TX status timeout for entry 15 in queue 2
[ 5050.520000] phy2 -> rt2800usb_entry_txstatus_timeout: Warning - TX status timeout for entry 0 in queue 2
[ 5050.530000] phy2 -> rt2800usb_entry_txstatus_timeout: Warning - TX status timeout for entry 1 in queue 2
[ 5050.540000] phy2 -> rt2800usb_entry_txstatus_timeout: Warning - TX status timeout for entry 2 in queue 2
[ 5050.550000] phy2 -> rt2800usb_entry_txstatus_timeout: Warning - TX status timeout for entry 3 in queue 2
[ 5050.560000] phy2 -> rt2800usb_entry_txstatus_timeout: Warning - TX status timeout for entry 3 in queue 2
[ 5050.570000] phy2 -> rt2800usb_entry_txstatus_timeout: Warning - TX status timeout for entry 4 in queue 2
[ 5050.580000] phy2 -> rt2800usb_entry_txstatus_timeout: Warning - TX status timeout for entry 4 in queue 2
[ 5050.590000] phy2 -> rt2800usb_entry_txstatus_timeout: Warning - TX status timeout for entry 5 in queue 2
[ 5050.600000] phy2 -> rt2800usb_entry_txstatus_timeout: Warning - TX status timeout for entry 5 in queue 2
[ 5050.610000] phy2 -> rt2800usb_entry_txstatus_timeout: Warning - TX status timeout for entry 6 in queue 2
[ 5050.620000] phy2 -> rt2800usb_entry_txstatus_timeout: Warning - TX status timeout for entry 6 in queue 2
[ 5050.630000] phy2 -> rt2800usb_entry_txstatus_timeout: Warning - TX status timeout for entry 7 in queue 2
[ 5050.640000] phy2 -> rt2800usb_entry_txstatus_timeout: Warning - TX status timeout for entry 7 in queue 2
[ 5050.650000] phy2 -> rt2800usb_entry_txstatus_timeout: Warning - TX status timeout for entry 7 in queue 2
[ 5050.660000] phy2 -> rt2800usb_entry_txstatus_timeout: Warning - TX status timeout for entry 8 in queue 2
[ 5050.670000] phy2 -> rt2800usb_entry_txstatus_timeout: Warning - TX status timeout for entry 9 in queue 2
[ 5050.680000] phy2 -> rt2800usb_entry_txstatus_timeout: Warning - TX status timeout for entry 9 in queue 2
[ 5050.690000] phy2 -> rt2800usb_entry_txstatus_timeout: Warning - TX status timeout for entry 10 in queue 2
[ 5050.700000] phy2 -> rt2800usb_entry_txstatus_timeout: Warning - TX status timeout for entry 10 in queue 2
[ 5050.710000] phy2 -> rt2800usb_entry_txstatus_timeout: Warning - TX status timeout for entry 11 in queue 2
[ 5050.720000] phy2 -> rt2800usb_entry_txstatus_timeout: Warning - TX status timeout for entry 11 in queue 2
[ 5050.730000] phy2 -> rt2800usb_txdone: Warning - Got TX status for an empty queue 2, dropping
[ 5050.740000] phy2 -> rt2800usb_txdone: Warning - Got TX status for an empty queue 2, dropping

Package name Version

Remove aircrack-ng 1.1-3
Remove aria2 1.15.1-1
Remove base-files 117.1-r36557
Remove blkid 2.21.2-1
Remove block-mount 0.2.0-9
Remove busybox 1.19.4-6
Remove cfdisk 2.21.2-1
Remove ddns-scripts 1.0.0-21
Remove dnsmasq 2.62-2
Remove dropbear 2011.54-2
Remove fdisk 2.21.2-1
Remove firewall 2-55.1
Remove hd-idle 1.04-1
Remove hotplug2 1.0-beta-4
Remove ip 3.3.0-1
Remove iptables 1.4.10-4
Remove iptables-mod-conntrack-extra 1.4.10-4
Remove iptables-mod-ipopt 1.4.10-4
Remove iw 3.6-1
Remove jshn 2013-01-29-0bc317aa4d9af44806c28ca286d79a8b5a92b2b8
Remove kernel 3.3.8-1-0f4e999df2eacfca34d69d1808a04573
Remove kmod-ath 3.3.8+2013-02-22-1
Remove kmod-ath9k 3.3.8+2013-02-22-1
Remove kmod-ath9k-common 3.3.8+2013-02-22-1
Remove kmod-block2mtd 3.3.8-1
Remove kmod-carl9170 3.3.8+2013-02-22-1
Remove kmod-cfg80211 3.3.8+2013-02-22-1
Remove kmod-crypto-aes 3.3.8-1
Remove kmod-crypto-arc4 3.3.8-1
Remove kmod-crypto-core 3.3.8-1
Remove kmod-eeprom-93cx6 3.3.8-1
Remove kmod-fs-ext4 3.3.8-1
Remove kmod-fs-vfat 3.3.8-1
Remove kmod-fuse 3.3.8-1
Remove kmod-gpio-button-hotplug 3.3.8-1
Remove kmod-input-core 3.3.8-1
Remove kmod-ipt-conntrack 3.3.8-1
Remove kmod-ipt-conntrack-extra 3.3.8-1
Remove kmod-ipt-core 3.3.8-1
Remove kmod-ipt-ipopt 3.3.8-1
Remove kmod-ipt-nat 3.3.8-1
Remove kmod-ipt-nathelper 3.3.8-1
Remove kmod-leds-gpio 3.3.8-1
Remove kmod-ledtrig-default-on 3.3.8-1
Remove kmod-ledtrig-netdev 3.3.8-1
Remove kmod-ledtrig-timer 3.3.8-1
Remove kmod-ledtrig-usbdev 3.3.8-1
Remove kmod-lib-crc-ccitt 3.3.8-1
Remove kmod-lib-crc-itu-t 3.3.8-1
Remove kmod-lib-crc16 3.3.8-1
Remove kmod-mac80211 3.3.8+2013-02-22-1
Remove kmod-nls-base 3.3.8-1
Remove kmod-nls-cp437 3.3.8-1
Remove kmod-nls-cp936 3.3.8-1
Remove kmod-nls-iso8859-1 3.3.8-1
Remove kmod-nls-utf8 3.3.8-1
Remove kmod-ppp 3.3.8-1
Remove kmod-pppoe 3.3.8-1
Remove kmod-pppox 3.3.8-1
Remove kmod-rt2800-lib 3.3.8+2013-02-22-1
Remove kmod-rt2800-usb 3.3.8+2013-02-22-1
Remove kmod-rt2x00-lib 3.3.8+2013-02-22-1
Remove kmod-rt2x00-usb 3.3.8+2013-02-22-1
Remove kmod-scsi-core 3.3.8-1
Remove kmod-usb-core 3.3.8-1
Remove kmod-usb-ohci 3.3.8-1
Remove kmod-usb-printer 3.3.8-1
Remove kmod-usb-storage 3.3.8-1
Remove kmod-usb-storage-extras 3.3.8-1
Remove kmod-usb-uhci 3.3.8-1
Remove kmod-usb2 3.3.8-1
Remove kmod-wdt-ath79 3.3.8-1
Remove libblkid 2.21.2-1
Remove libblobmsg-json 2013-01-29-0bc317aa4d9af44806c28ca286d79a8b5a92b2b8
Remove libc 0.9.33.2-1
Remove libgcc 4.6-linaro-1
Remove libip4tc 1.4.10-4
Remove libip6tc 1.4.10-4
Remove libiwinfo 44
Remove libiwinfo-lua 44
Remove libjson 0.9-2
Remove liblua 5.1.4-8
Remove libncurses 5.7-5
Remove libnfnetlink 1.0.0-2
Remove libnl-tiny 0.1-3
Remove libopenssl 1.0.1e-1
Remove libpcap 1.1.1-2
Remove libpthread 0.9.33.2-1
Remove librt 0.9.33.2-1
Remove libsqlite3 3071201-1
Remove libstdcpp 4.6-linaro-1
Remove libubox 2013-01-29-0bc317aa4d9af44806c28ca286d79a8b5a92b2b8
Remove libubus 2013-01-13-bf566871bd6a633e4504c60c6fc55b2a97305a50
Remove libubus-lua 2013-01-13-bf566871bd6a633e4504c60c6fc55b2a97305a50
Remove libuci 2013-05-02.1-1
Remove libuci-lua 2013-05-02.1-1
Remove libuuid 2.21.2-1
Remove libxml2 2.7.8-2
Remove libxtables 1.4.10-4
Remove lua 5.1.4-8
Remove luci 0.11+svn-1
Remove luci-app-aria2 0.11+svn-1
Remove luci-app-ddns 0.11+svn-1
Remove luci-app-firewall 0.11+svn-1
Remove luci-app-hd-idle 0.11+svn-1
Remove luci-app-multiwan 0.11+svn-1
Remove luci-app-ntpc 0.11+svn-1
Remove luci-app-p910nd 0.11+svn-1
Remove luci-app-samba 0.11+svn-1
Remove luci-app-upnp 0.11+svn-1
Remove luci-i18n-chinese 0.11+svn-1
Remove luci-i18n-english 0.11+svn-1
Remove luci-lib-core 0.11+svn-1
Remove luci-lib-ipkg 0.11+svn-1
Remove luci-lib-nixio 0.11+svn-1
Remove luci-lib-sys 0.11+svn-1
Remove luci-lib-web 0.11+svn-1
Remove luci-mod-admin-core 0.11+svn-1
Remove luci-mod-admin-full 0.11+svn-1
Remove luci-proto-core 0.11+svn-1
Remove luci-proto-ppp 0.11+svn-1
Remove luci-sgi-cgi 0.11+svn-1
Remove luci-sgi-uhttpd 0.11+svn-1
Remove luci-theme-base 0.11+svn-1
Remove luci-theme-bootstrap 0.11+svn-1
Remove luci-theme-openwrt 0.11+svn-1
Remove miniupnpd 1.8.20130426-1
Remove mtd 18.1
Remove multiwan 1.0.22-2
Remove netifd 2013-01-29.2-4bb99d4eb462776336928392010b372236ac3c93
Remove ntfs-3g 2011.4.12-1-fuseint
Remove ntfs-3g-utils 2011.4.12-1-fuseint
Remove ntpclient 2007_365-4
Remove opkg 618-3
Remove p910nd 0.95-2
Remove ppp 2.4.5-8
Remove ppp-mod-pppoe 2.4.5-8
Remove reaver r113-1
Remove samba36-server 3.6.5-3
Remove swap-utils 2.21.2-1
Remove swconfig 10
Remove terminfo 5.7-5
Remove uboot-envtools 2012.04.01-1
Remove ubus 2013-01-13-bf566871bd6a633e4504c60c6fc55b2a97305a50
Remove ubusd 2013-01-13-bf566871bd6a633e4504c60c6fc55b2a97305a50
Remove uci 2013-05-02.1-1
Remove udev 173-1
Remove uhttpd 2012-10-30-e57bf6d8bfa465a50eea2c30269acdfe751a46fd
Remove uhttpd-mod-lua 2012-10-30-e57bf6d8bfa465a50eea2c30269acdfe751a46fd
Remove vsftpd 3.0.2-1
Remove wireless-tools 29-5
Remove wpad-mini 20120910-1
Remove zlib 1.2.7-1

my device is TP-LINK WR4300

Thx for your help!

Attachments (0)

Change History (58)

comment:1 Changed 5 years ago by anonymous

same problem on Tplink 3220 v2, and usb adapter rt3070
there is something wrong with the drivers/firmware

comment:2 Changed 5 years ago by anonymous

same problem with mr3420-v2

comment:3 Changed 5 years ago by anonymous

3070 same here... it's been like this from attitude adjustement stable.
every scan triggers this.. + I can get two same cards working at once.. one is triggering other to flip

comment:4 Changed 5 years ago by anonymous

is there any known fix for this? it happens with my both cards rt3070 and rt5370

comment:5 Changed 5 years ago by nbd

please try latest trunk to see if it works better

comment:6 Changed 5 years ago by pozega.tomislav@…

at line 129 in openwrt/trunk/build_dir/target-mipsel_uClibc-0.9.33.2/linux-brcm47xx/compat-wireless-2013-04-16/drivers/net/wireless/rt2x00/rt2800usb.c

at line 124 in openwrt/trunk/build_dir/target-mipsel_uClibc-0.9.33.2/linux-brcm47xx/linux-3.6.11/drivers/net/wireless/rt2x00/rt2800usb.c

at line 124 in openwrt/trunk/build_dir/toolchain-mipsel_gcc-4.6-linaro_uClibc-0.9.33.2/linux/drivers/net/wireless/rt2x00/rt2800usb.c

i have increased the timeout from 100 to 500 and the amount of txstatus timeout warnings is significantly reduced.

the warnings still do appear occasionaly but the throughput is much better and more stable.
tested with rt3070 but only on 802.11g AP.
not sure how this change affects performance at 802.11n rates.

comment:7 Changed 5 years ago by veit berwig

Hello all,

I've got the same problems with my rt3070-usb stick (msi) and I also
had the same "TX status timeout"-warnings.

So I did some tests with tomislav pozega's hint and also
patched the "rt2x00queue.h" with nearly the same code-structure.
I patched ...

"drivers/net/wireless/rt2x00/rt2800usb.c" and
"drivers/net/wireless/rt2x00/rt2x00queue.h" .

So I did a kernel-rebuild of kernel 3.9.9 with this patch included
and i have to say that this patch works fine.

I've got only three "TX status timeout"-warnings during
initialisation and no other warnings during operation (see below).

TEST:
======
Viewing a youtube video and parallel download of an iso-image onto
another usb-stick. Everything went fine and i never got
"TX status timeout"-warnings again.

Here is the "dmesg" output during initialisation:

phy0 -> rt2x00_set_chip: Info - Chipset detected - rt: 3070, rf: 0005, rev: 0201.
ieee80211 phy0: Selected rate control algorithm 'minstrel_ht'
...
phy0 -> rt2x00lib_request_firmware: Info - Loading firmware file 'rt2870.bin'.
phy0 -> rt2x00lib_request_firmware: Info - Firmware detected - version: 0.22.
...
phy0 -> rt2800usb_entry_txstatus_timeout: Warning - TX status timeout for entry 10 in queue 0
phy0 -> rt2800usb_entry_txstatus_timeout: Warning - TX status timeout for entry 10 in queue 0
phy0 -> rt2800usb_entry_txstatus_timeout: Warning - TX status timeout for entry 10 in queue 0
...

Here is the patch (i did it for linux kernel 3.9.9-sources):

"jiffies-patch-rt2x00_rt2800usb.patch"

--- cut here ---
diff --git a/drivers/net/wireless/rt2x00/rt2800usb.c b/drivers/net/wireless/rt2x00/rt2800usb.c
index 098613e..3136242 100644
--- a/drivers/net/wireless/rt2x00/rt2800usb.c
+++ b/drivers/net/wireless/rt2x00/rt2800usb.c
@@ -126,7 +126,7 @@ static inline bool rt2800usb_entry_txstatus_timeout(struct queue_entry *entry)

if (!test_bit(ENTRY_DATA_STATUS_PENDING, &entry->flags))

return false;


  • tout = time_after(jiffies, entry->last_action + msecs_to_jiffies(100));

+ tout = time_after(jiffies, entry->last_action + msecs_to_jiffies(500));

if (unlikely(tout))

WARNING(entry->queue->rt2x00dev,

"TX status timeout for entry %d in queue %d\n",

diff --git a/drivers/net/wireless/rt2x00/rt2x00queue.h b/drivers/net/wireless/rt2x00/rt2x00queue.h
index 9b8c10a..b1d6c13 100644
--- a/drivers/net/wireless/rt2x00/rt2x00queue.h
+++ b/drivers/net/wireless/rt2x00/rt2x00queue.h
@@ -641,7 +641,7 @@ static inline int rt2x00queue_dma_timeout(struct queue_entry *entry)

{

if (!test_bit(ENTRY_OWNER_DEVICE_DATA, &entry->flags))

return false;

  • return time_after(jiffies, entry->last_action + msecs_to_jiffies(100));

+ return time_after(jiffies, entry->last_action + msecs_to_jiffies(500));

}


/

--- cut here ---

Best regards ...

comment:8 Changed 5 years ago by giuseppe_stolnicu@…

Hi,

Using r37224 on WRT160NL with an Alfa AWUS036NH (GE-RT3070) on usb.

I am getting over 800 of the following (without the 500 instead of 100 patch mentioned above) :

rt2800usb_txdone: Warning - Got TX status for an empty queue 2, dropping
rt2800usb_entry_txstatus_timeout: Warning - TX status timeout for entry 7 in queue 2

I get a better connection from an android mobile phone than from my alfa with an 15 dbm omnidirectional antenna (that i've moved around until I got sick).

After patching I get around 8-10 of the above warnings after around 6 hours of usage (the connection quality - g network - has not really gone up), plus a couple of the following:

rt2x00queue_flush_queue: Warning - Queue 2 failed to flush
rt2x00queue_flush_queue: Warning - Queue 2 failed to flush

This coupled with the ath9k problems make it seem like there is no advantage to using openwrt over the original firmware. Better to use a computer with an up to date linux than openwrt, seems to me, less hassle (although I haven't really tested, the same issue might be present there). I've been waiting for the ath9k driver issue to get fixed for over a year now. I am thankful for all the hard work everybody is putting into openwrt, but it really seems pointless to me now ...

Is there anything I can do to help getting this issue, maybe even the ath9k one. I am even ready to give access to my router for the developers if that helps (+ compiling anything they might need into the firmware).

comment:9 Changed 5 years ago by giuseppe_stolnicu@…

15 dbi* antenna ...

comment:10 Changed 5 years ago by giuseppe_stolnicu@…

Two days later i am sad to report that the patch only delays the onset of the "disease". My dmesg is now full with around 800 messages similar to the next :
rt2800usb_entry_txstatus_timeout: Warning - TX status timeout for entry 14 in queue 2
rt2800usb_txdone: Warning - Got TX status for an empty queue 2, dropping
No more messages from the rt2x00queue functions (or if they appear it's only a few in the form mentioned in comment 8 - failed to flush stuff).
The connection quality is Ok-ish : i have a 5.+mbit download and 400kbit upload, which i get through the wireless connection, but with around 1% packet loss, with jitter from time to time (meaning around every 5 secs i get 1-2 packets that require anywhere from 10 to 200+ ms more to complete).
Example (the IP is my providers gateway) / observe that the 5-th packet was lost:
64 bytes from 10.94.160.1: icmp_seq=3 ttl=126 time=47.6 ms
64 bytes from 10.94.160.1: icmp_seq=4 ttl=126 time=47.4 ms
64 bytes from 10.94.160.1: icmp_seq=6 ttl=126 time=49.2 ms
64 bytes from 10.94.160.1: icmp_seq=7 ttl=126 time=74.4 ms
64 bytes from 10.94.160.1: icmp_seq=8 ttl=126 time=276 ms
64 bytes from 10.94.160.1: icmp_seq=9 ttl=126 time=48.1 ms
I guess those spikes coincide with the dmesg messages.
The patch is obviously not a fix, since it probably just hides warnings for the stuff under 500 whatever-time-units-those-are).
Regarding this I have observed, since my wan is through the rt3070 usb adapter, that the quality of the link goes down slowly, eventually reaching a point where the usb adapter does not answer, requiring a reboot or unpluging it from the usb (i usually wait for a bit to make sure it runs out of juice) and replugging it back in + reconnecting(usually rebooting since after replugging it it is recognised as another device - meaning if before it was wlan1, now it is wlan2 / so wireless configs will not work).

comment:11 follow-up: Changed 5 years ago by pozega.tomislav@…

without patch, hundreds of warnings flood on your router resources causing the link quality to drop that's why it is better to hide them.

without any modification as soon as my download reached over 4.5mbps warnings were triggered and the same thing you described was happening with link quality (throughput) and adapter sometimes stopped responding.

with only patched rt2800usb.c i can now get 7-8mbps pretty stable download with slight throughput decrease once the series of warnings appear, but once they stop the speed gets back to 7-8mbps without link breakdown.

i'm not sure if this is the reason i can't get better throughput than 7-8 but once i try patching both rt2800usb.c and rt2x00queue.h i will post back here if i notice any improvement.

also to mention i am testing this with barrier breaker not aa

comment:12 in reply to: ↑ 11 Changed 5 years ago by giuseppe_stolnicu@…

Replying to pozega.tomislav@…:

without patch, hundreds of warnings flood on your router resources causing the link quality to drop that's why it is better to hide them.

Yeah, but it doesn't even do that, it only stop showing the warnings for a few hours, eventually my dmesg is again flooded with those warnings. At least in my case.

And I don't think that the qulity of the link is affected so much by the warnings, as it is affected by the underlying problem that generates the warnings.

Plus, wouldn't that mean that increasing the parameter the patch is modifying from 500 to a larger number (that could be found through trial and error - since an overly large number could also impact negatively the performance) would improve the connection quality (as it would get rid of the last few warnings that still appear) ?

Who knows, maybe even disabling the warnings could help, if the warnings affect that much the connection quality?

And if what I noticed is correct, the connection quality keeps degrading until the device freezes. Doesn't that mean that the underlying problem keeps magnifying in magnitude until freezing? That would mean that no matter what number is in the patch, eventually it wouldn't be enough?

Right now it might be that my antenna is faulty, I'm trying to get it replaced. I'm gonna test again after.

PS: 1- It seems that in the last 20 hours I only got 60 warnings. But i remember that I checked before the last reboot and I had 800 or so warnings(and I had a lot of traffic this last 20 hours).

2- It might be that my current AP wireless settings or the signal strength affects this, since I remember that on a free wifi spot I didn't get those warnings, and that wifi spot has a large omni antenna and probably transmits at max legal power (500mW) where I live.

I will check and post back.

comment:13 follow-up: Changed 5 years ago by pozega.tomislav@…

ok i did testing after patching both rt2800usb.c and rt2x00queue.h

if i use my adapters to connect to my other router 4 meters away behind a thick wall they both work without problems (rt3070 and rt5370). however i can't get more than about 7.5 mbps of throughput, i tried to set up samba the other night to test USB port speed on my router but it didn't work for some reason and i got tired of it. this is why i'm still not sure if this is rt2800usb or USB port driver problem and if someone could test the transfer speed with patched driver it would be helpful.
i know i could transfer files with stock firmware on this router at 1.5 MB/s

problems come if i try to connect to a distant network (~2km away, directional antena)

rt5370 can connect but both tx and rx rates are frequently falling back to 1mbps. so it does not perform well as with rt2800usb on ubuntu.

rt3070 can't connect at all most of the time, or if it succeeds connecting it disconnects right away with reason=2 and the log is full of authentication timeout messages. this adapter performs even better than rt5370 in ubuntu but it seems like its driver support is not yet fine tuned in openwrt...too bad

comment:14 in reply to: ↑ 13 ; follow-up: Changed 4 years ago by veit berwig

Replying to pozega.tomislav@…:

ok i did testing after patching both rt2800usb.c and rt2x00queue.h

if i use my adapters to connect to my other router 4 meters away behind a thick wall they both work without problems (rt3070 and rt5370). however i can't get more than about 7.5 mbps of throughput, i tried to set up samba the other night to test USB port speed on my router but it didn't work for some reason and i got tired of it. this is why i'm still not sure if this is rt2800usb or USB port driver problem and if someone could test the transfer speed with patched driver it would be helpful.
i know i could transfer files with stock firmware on this router at 1.5 MB/s

problems come if i try to connect to a distant network (~2km away, directional antena)

rt5370 can connect but both tx and rx rates are frequently falling back to 1mbps. so it does not perform well as with rt2800usb on ubuntu.

rt3070 can't connect at all most of the time, or if it succeeds connecting it disconnects right away with reason=2 and the log is full of authentication timeout messages. this adapter performs even better than rt5370 in ubuntu but it seems like its driver support is not yet fine tuned in openwrt...too bad

Hi,

due to the changelog for kernel 3.10.x there are a lot of changes to the rt2x00-module tree.
Nevertheless, the problem still exists under 3.10.5 !!

It seems to me that the throughput slightly increases, when the patch is applied. Without patch I got some problems in playing youtube-testvideos on a higher bitrate. Although this is not the real solution to the problem like giuseppe_stolnicu mentioned above, I would like to provide the patch here again for kernel 3.10.5.

"linux-3.10.5_rt2x00-jiffies.patch"

--- cut here ---

diff --git a/drivers/net/wireless/rt2x00/rt2800usb.c b/drivers/net/wireless/rt2x00/rt2800usb.c
index ac854d7..354a7a0 100644
--- a/drivers/net/wireless/rt2x00/rt2800usb.c
+++ b/drivers/net/wireless/rt2x00/rt2800usb.c
@@ -126,7 +126,7 @@ static inline bool rt2800usb_entry_txstatus_timeout(struct queue_entry *entry)

if (!test_bit(ENTRY_DATA_STATUS_PENDING, &entry->flags))

return false;


  • tout = time_after(jiffies, entry->last_action + msecs_to_jiffies(100));

+ tout = time_after(jiffies, entry->last_action + msecs_to_jiffies(500));

if (unlikely(tout))

rt2x00_warn(entry->queue->rt2x00dev,

"TX status timeout for entry %d in queue %d\n",

diff --git a/drivers/net/wireless/rt2x00/rt2x00queue.h b/drivers/net/wireless/rt2x00/rt2x00queue.h
index 4a7b34e..f743a4d 100644
--- a/drivers/net/wireless/rt2x00/rt2x00queue.h
+++ b/drivers/net/wireless/rt2x00/rt2x00queue.h
@@ -650,7 +650,7 @@ static inline int rt2x00queue_dma_timeout(struct queue_entry *entry)

{

if (!test_bit(ENTRY_OWNER_DEVICE_DATA, &entry->flags))

return false;

  • return time_after(jiffies, entry->last_action + msecs_to_jiffies(100));

+ return time_after(jiffies, entry->last_action + msecs_to_jiffies(500));

}


/

--- cut here ---

Best regards ...

comment:15 Changed 4 years ago by veit berwig

Hi all,

I think the problem is also discussed here:

https://bugzilla.redhat.com/show_bug.cgi?id=913631

Maybe you will find there some additional hints ...

Best Regards ...

comment:16 Changed 4 years ago by anonymous

why openwrt not solve this?

comment:17 in reply to: ↑ 14 ; follow-up: Changed 4 years ago by pozega.tomislav@…

Replying to veit berwig:

Hi,

due to the changelog for kernel 3.10.x there are a lot of changes to the rt2x00-module tree.
Nevertheless, the problem still exists under 3.10.5 !!

It seems to me that the throughput slightly increases, when the patch is applied. Without patch I got some problems in playing youtube-testvideos on a higher bitrate. Although this is not the real solution to the problem like giuseppe_stolnicu mentioned above, I would like to provide the patch here again for kernel 3.10.5.

thanks for your patchwork. i have managed to run attitude adjustment stable on my router and i can confirm the USB port is the bottleneck, i am getting no more than 8 mbps of throughput even with stable driver.

unless someone can prove the difference in throughput between rt2800usb driver in AA stable and patched rt2800usb driver in trunk i am pretty confident this is the real solution.

considering the fact that the problems with long-range link exist even with stable driver this timeout increase as far as i can tell does not affect performance negatively in any way.

i think you should send your patch to mailing list to be included in sources

comment:18 in reply to: ↑ 17 Changed 4 years ago by giuseppe_stolnicu@…

Replying to pozega.tomislav@…:

thanks for your patchwork. i have managed to run attitude adjustment stable on my router and i can confirm the USB port is the bottleneck, i am getting no more than 8 mbps of throughput even with stable driver.

Hi,

I just put your theory - "USB port is the bottleneck" - to the test.

I will mention that I installed recently Backfire (10.03.1, r29592) to test the performance on a 2.6 kernel (since the official driver for my Alfa AWUS036NH is for 2.6 kernel).

SETUP:

I used my Linksys WRT160NL router with 10.03.1 stable (r29592), the official image downloaded from openwrt (not built by me).

I used my Alfa AWUS036NH 33dbm on the usb of the WRT160NL, configured with the default options ( "wifi detect >/etc/config/wireless" ). So my Alfa acted as an access point for my lan (ssid: OpenWRT, security:OPN).

I also used another router (D-Link DIR-300 using BARRIER BREAKER (Bleeding Edge, r36194)) connected by cat5 to the Linksys, and with wifi network using WPA2 AES. (just for diversity and because I already had this setup)

RESULTS:

1) Win7 PC --> Alfa wifi on WRT160NL USB --> Win7 PC

Both PCs connected to the same wifi network through Alfa wifi usb

SPEED : >=1.5 MB (12mbps)

2) Win7 PC --> Alfa wifi on WRT160NL USB --> cat5 to DIR-300 with WPA2 AES wifi --> Win7 PC

Only 1 PC connected to the Alfa usb wifi, WRT160NL ->cat5-> DIR-300, second PC connected to DIR-300 wifi

SPEED: >=1.2MB (9.6mbps)

3) Win7 PC --> Alfa wifi on WRT160NL USB --> cat5 to second Win7 PC

1 PC connected by wireless to the Alfa on WRT160NL, second Win7 PC connected by cat5 to WRT160NL.

SPEED: >= 6.1 MB (48.8 mbps)

No warnings in logs during tests. No connection drops or any other problems. Connection was very stable and constant.
I used a 1.4 GB file for testing. Distance of PCs from router was under 10 meters with no obstacles in between.

So I don't think the usb port is the bottleneck, at least in my case.
But I think you were right about the long-range link problems, it seems that at close range all is good. And I mean close, because the connection is crappy with an access point (16dbm) 25 meters away through 2 walls (if I take my laptop to the same spot -- outside -- where the alfa is I get a more stable connection with my internal card / without drops and disconnects).

I am thinking about buying an Alfa AWUS036H since it is supposed to be better supported just to see the difference.

comment:19 Changed 4 years ago by giuseppe_stolnicu@…

Hi,

So, as mentioned above, I installed Backfire (10.03.1, r29592) on my WRT160NL just to see the performance of my Alfa AWUS036NH usb adapter(Ralink RT3070 chipset) on 2.6 kernel, since the official driver for my adapter is for 2.6 kernel. Plus that with a revision from approx a week ago (can't remember the number) of AA the router didn't even want to connect to my AP. Not to talk about the warning that flood the logs (even with the 500 patch), when I try to watch a youtube video I instantly get hundreds of warnings.

I want to share what I found, maybe it will help another poor soul that bangs his/her head against the wall trying to get decent performance with the rt2800usb driver.

I downloaded the official image 10.03.1 from the openwrt download section. Installed the rt2800ub driver with opkg.

The performance is better generally, no warnings, far less disconnects and drops, the speed , even if it varies a often, is far more constant then with AA, I get better speeds.

In more than 3 days of downloading torrent and normal web traffic I only had 1 error session today while watching a youtube video. The usb adapter or driver froze and was reset as phy2 (was phy1 before error). I had to reboot for the config to work.

I get the feeling that the driver has the same issues, they just manifest a lot rarer and the warnings are not thrown. I still get drops in speed from time to time, but a lot more acceptable compared to AA. I downloaded tens of GB before I had any real problems. On AA just opening the torrent client started warnings in the router log.

So if you think you just can't take anymore of the AA rt2800usb driver "performance" I would recommend trying Backfire stable 10.03.1 . I think for now I will stay with 10.03.1

comment:20 Changed 4 years ago by giuseppe_stolnicu@…

Of course, the speeds in comment:18 are MB/s.

comment:21 Changed 4 years ago by pozega.tomislav@…

thanks for sharing your results. i have solved the problem with long range link by applying the patch from the veit berwig's link (comment 15).

the patch fixes txpower setting bug for the rt3070 chipset. give it a try i'm sure it will work for you too

cheers

comment:22 follow-up: Changed 4 years ago by giuseppe_stolnicu@…

Hi,

Unfortunately:

  1. The rt2800lib.c file in the current trunk compat-wireless version is different from the one the patch was made for (you can check the lines in the patch to see that the files have diferent structure)
  2. The current trunk compat-wireless already has the patch incorporated (you can search for the modification the patch brings to see that they are already there)

I didn't even try to patch my rt2800lib.c because it would surely get rejected since the lines at the patch points are different.

Are you using AA stable? Did it fix your long-range issues or mostly fixed them (meaning they are still there but rarer)? If so I will try your AA version.

Thanx anyway.

comment:23 Changed 4 years ago by anonymous

yes it is different but i have looked through file and modified it manually according to patch, it took me a few minutes to do that.

didn't check if the trunk have it or not but AA R36088 (stable) which i'm using didn't have it

AA R36088 with txpower patch + RT3070 adapter (Blueway 18000G) connected in client mode at a router 2km away, uptime 9d 1h 10m 34s, no rt2800usb related errors in sys or kernel logs, everything works fine.

comment:24 Changed 4 years ago by giuseppe_stolnicu@…

OK, I will checkout your version and try it with the patch and report back

Thanx.

comment:25 follow-up: Changed 4 years ago by nbd

  • Resolution set to fixed
  • Status changed from new to closed

should be fixed in r38452, r38455

comment:26 in reply to: ↑ 25 ; follow-up: Changed 4 years ago by 43344319@…

Replying to nbd:

should be fixed in r38452, r38455

attitude_adjustment linux 3.3.8 have not this code ,but linux-3.10.15 have this code

  if (rt2800usb_txstatus_pending(rt2x00dev)) {
              /* Read register after 250 us */
               hrtimer_start(&rt2x00dev->txstatus_timer, ktime_set(0, 250000),
               /* Read register after 1 ms */
               hrtimer_start(&rt2x00dev->txstatus_timer, ktime_set(0, 1000000),
                              HRTIMER_MODE_REL);
                return false;

linux3.3.8 have this code

else if (!kfifo_is_empty(&rt2x00dev->txstatus_fifo)) {
		queue_work(rt2x00dev->workqueue, &rt2x00dev->txdone_work);
	} else if (rt2800usb_txstatus_pending(rt2x00dev)) {
		mod_timer(&rt2x00dev->txstatus_timer, jiffies + msecs_to_jiffies(2));
	}

	return false;
}

comment:27 follow-up: Changed 4 years ago by nbd

mac80211 and its drivers are built outside the kernel tree

comment:28 in reply to: ↑ 27 Changed 4 years ago by xbbzaini

Replying to nbd:

mac80211 and its drivers are built outside the kernel tree

But I tried to compile in 38455, results no wifi in wr841N-V8,luci haven't wifi

comment:29 follow-up: Changed 4 years ago by nbd

please post the output of the 'dmesg' command

comment:30 in reply to: ↑ 29 Changed 4 years ago by xbbzaini

Replying to nbd:

please post the output of the 'dmesg' command

root@OpenWrt:~# dmesg
[    0.000000] Linux version 3.3.8 (xbbz@ubuntu) (gcc version 4.6.3 20120201 (pr                                                                             erelease) (Linaro GCC 4.6-2012.02) ) #1 Sat Oct 19 23:35:25 HKT 2013
[    0.000000] MyLoader: sysp=ef2d2aee, boardp=3a8f7a61, parts=4effdd3e
[    0.000000] bootconsole [early0] enabled
[    0.000000] CPU revision is: 0001974c (MIPS 74Kc)
[    0.000000] SoC: Atheros AR9341 rev 1
[    0.000000] Clocks: CPU:535.000MHz, DDR:400.000MHz, AHB:200.000MHz, Ref:25.00                                                                             0MHz
[    0.000000] Determined physical RAM map:
[    0.000000]  memory: 02000000 @ 00000000 (usable)
[    0.000000] Initrd not found or empty - disabling initrd
[    0.000000] Zone PFN ranges:
[    0.000000]   Normal   0x00000000 -> 0x00002000
[    0.000000] Movable zone start PFN for each node
[    0.000000] Early memory PFN ranges
[    0.000000]     0: 0x00000000 -> 0x00002000
[    0.000000] On node 0 totalpages: 8192
[    0.000000] free_area_init_node: node 0, pgdat 802d61e0, node_mem_map 8100000                                                                             0
[    0.000000]   Normal zone: 64 pages used for memmap
[    0.000000]   Normal zone: 0 pages reserved
[    0.000000]   Normal zone: 8128 pages, LIFO batch:0
[    0.000000] pcpu-alloc: s0 r0 d32768 u32768 alloc=1*32768
[    0.000000] pcpu-alloc: [0] 0
[    0.000000] Built 1 zonelists in Zone order, mobility grouping on.  Total pag                                                                             es: 8128
[    0.000000] Kernel command line:  board=TL-WR841N-v8 console=ttyS0,115200 roo                                                                             tfstype=squashfs,jffs2 noinitrd
[    0.000000] PID hash table entries: 128 (order: -3, 512 bytes)
[    0.000000] Dentry cache hash table entries: 4096 (order: 2, 16384 bytes)
[    0.000000] Inode-cache hash table entries: 2048 (order: 1, 8192 bytes)
[    0.000000] Primary instruction cache 64kB, VIPT, 4-way, linesize 32 bytes.
[    0.000000] Primary data cache 32kB, 4-way, VIPT, cache aliases, linesize 32                                                                              bytes
[    0.000000] Writing ErrCtl register=00000000
[    0.000000] Readback ErrCtl register=00000000
[    0.000000] Memory: 29116k/32768k available (2115k kernel code, 3652k reserve                                                                             d, 406k data, 208k init, 0k highmem)
[    0.000000] SLUB: Genslabs=9, HWalign=32, Order=0-3, MinObjects=0, CPUs=1, No                                                                             des=1
[    0.000000] NR_IRQS:51
[    0.000000] Calibrating delay loop... 266.64 BogoMIPS (lpj=1333248)
[    0.080000] pid_max: default: 32768 minimum: 301
[    0.080000] Mount-cache hash table entries: 512
[    0.090000] NET: Registered protocol family 16
[    0.090000] gpiochip_add: registered GPIOs 0 to 22 on device: ath79
[    0.100000] MIPS: machine is TP-LINK TL-WR841N/ND v8
[    0.520000] bio: create slab <bio-0> at 0
[    0.520000] Switching to clocksource MIPS
[    0.530000] NET: Registered protocol family 2
[    0.530000] IP route cache hash table entries: 1024 (order: 0, 4096 bytes)
[    0.540000] TCP established hash table entries: 1024 (order: 1, 8192 bytes)
[    0.550000] TCP bind hash table entries: 1024 (order: 0, 4096 bytes)
[    0.550000] TCP: Hash tables configured (established 1024 bind 1024)
[    0.560000] TCP reno registered
[    0.560000] UDP hash table entries: 256 (order: 0, 4096 bytes)
[    0.570000] UDP-Lite hash table entries: 256 (order: 0, 4096 bytes)
[    0.570000] NET: Registered protocol family 1
[    0.580000] PCI: CLS 0 bytes, default 32
[    0.590000] squashfs: version 4.0 (2009/01/31) Phillip Lougher
[    0.600000] JFFS2 version 2.2 (NAND) (SUMMARY) (LZMA) (RTIME) (CMODE_PRIORITY                                                                             ) (c) 2001-2006 Red Hat, Inc.
[    0.610000] msgmni has been set to 56
[    0.610000] io scheduler noop registered
[    0.620000] io scheduler deadline registered (default)
[    0.620000] Serial: 8250/16550 driver, 1 ports, IRQ sharing disabled
[    0.650000] serial8250.0: ttyS0 at MMIO 0x18020000 (irq = 11) is a 16550A
[    0.660000] console [ttyS0] enabled, bootconsole disabled
[    0.670000] m25p80 spi0.0: found mx25l6405d, expected m25p80
[    0.680000] m25p80 spi0.0: mx25l6405d (8192 Kbytes)
[    0.680000] 5 tp-link partitions found on MTD device spi0.0
[    0.690000] Creating 5 MTD partitions on "spi0.0":
[    0.690000] 0x000000000000-0x000000020000 : "u-boot"
[    0.700000] 0x000000020000-0x000000101ba8 : "kernel"
[    0.710000] mtd: partition "kernel" must either start or end on erase block b                                                                             oundary or be smaller than an erase block -- forcing read-only
[    0.720000] 0x000000101ba8-0x0000007f0000 : "rootfs"
[    0.730000] mtd: partition "rootfs" must either start or end on erase block b                                                                             oundary or be smaller than an erase block -- forcing read-only
[    0.740000] mtd: partition "rootfs" set to be root filesystem
[    0.750000] mtd: partition "rootfs_data" created automatically, ofs=410000, l                                                                             en=3E0000
[    0.750000] 0x000000410000-0x0000007f0000 : "rootfs_data"
[    0.760000] 0x0000007f0000-0x000000800000 : "art"
[    0.770000] 0x000000020000-0x0000007f0000 : "firmware"
[    0.800000] ag71xx_mdio: probed
[    0.800000] eth0: Atheros AG71xx at 0xb9000000, irq 4
[    1.360000] ag71xx ag71xx.0: eth0: connected to PHY at ag71xx-mdio.1:00 [uid=                                                                             004dd042, driver=Generic PHY]
[    1.370000] eth1: Atheros AG71xx at 0xba000000, irq 5
[    1.920000] eth1: Found an AR934X built-in switch
[    2.960000] TCP cubic registered
[    2.960000] NET: Registered protocol family 17
[    2.960000] 8021q: 802.1Q VLAN Support v1.8
[    2.970000] VFS: Mounted root (squashfs filesystem) readonly on device 31:2.
[    2.980000] Freeing unused kernel memory: 208k freed
[    4.920000] Registered led device: tp-link:green:lan1
[    4.920000] Registered led device: tp-link:green:lan2
[    4.920000] Registered led device: tp-link:green:lan3
[    4.930000] Registered led device: tp-link:green:lan4
[    4.930000] Registered led device: tp-link:green:qss
[    4.930000] Registered led device: tp-link:green:system
[    4.930000] Registered led device: tp-link:green:wan
[    4.930000] Registered led device: tp-link:green:wlan
[   10.240000] Loading modules backported from Linux version master-2013-06-27-0                                                                             -gdcfa6d5
[   10.250000] Backport generated by backports.git backports-20130617-4-ge3220f5
[   10.280000] cfg80211: Calling CRDA to update world regulatory domain
[   10.290000] cfg80211: World regulatory domain updated:
[   10.300000] cfg80211:   (start_freq - end_freq @ bandwidth), (max_antenna_gai                                                                             n, max_eirp)
[   10.300000] cfg80211:   (2402000 KHz - 2472000 KHz @ 40000 KHz), (300 mBi, 20                                                                             00 mBm)
[   10.310000] cfg80211:   (2457000 KHz - 2482000 KHz @ 20000 KHz), (300 mBi, 20                                                                             00 mBm)
[   10.320000] cfg80211:   (2474000 KHz - 2494000 KHz @ 20000 KHz), (300 mBi, 20                                                                             00 mBm)
[   10.330000] cfg80211:   (5170000 KHz - 5250000 KHz @ 40000 KHz), (300 mBi, 20                                                                             00 mBm)
[   10.340000] cfg80211:   (5735000 KHz - 5835000 KHz @ 40000 KHz), (300 mBi, 20                                                                             00 mBm)
[   10.640000] SCSI subsystem initialized
[   10.860000] usbcore: registered new interface driver usbfs
[   10.870000] usbcore: registered new interface driver hub
[   10.880000] usbcore: registered new device driver usb
[   11.840000] usbcore: registered new interface driver rt2500usb
[   11.950000] usbcore: registered new interface driver rt73usb
[   12.070000] usbcore: registered new interface driver rtl8187
[   12.170000] ath: EEPROM regdomain: 0x0
[   12.170000] ath: EEPROM indicates default country code should be used
[   12.170000] ath: doing EEPROM country->regdmn map search
[   12.170000] ath: country maps to regdmn code: 0x3a
[   12.170000] ath: Country alpha2 being used: US
[   12.170000] ath: Regpair used: 0x3a
[   12.180000] ieee80211 phy0: Selected rate control algorithm 'minstrel_ht'
[   12.180000] Registered led device: ath9k-phy0
[   12.180000] ieee80211 phy0: Atheros AR9340 Rev:0 mem=0xb8100000, irq=47
[   12.190000] cfg80211: Calling CRDA for country: US
[   12.190000] cfg80211: Regulatory domain changed to country: US
[   12.200000] cfg80211:   (start_freq - end_freq @ bandwidth), (max_antenna_gai                                                                             n, max_eirp)
[   12.210000] cfg80211:   (2402000 KHz - 2472000 KHz @ 40000 KHz), (300 mBi, 27                                                                             00 mBm)
[   12.220000] cfg80211:   (5170000 KHz - 5250000 KHz @ 40000 KHz), (300 mBi, 17                                                                             00 mBm)
[   12.220000] cfg80211:   (5250000 KHz - 5330000 KHz @ 40000 KHz), (300 mBi, 20                                                                             00 mBm)
[   12.230000] cfg80211:   (5490000 KHz - 5600000 KHz @ 40000 KHz), (300 mBi, 20                                                                             00 mBm)
[   12.240000] cfg80211:   (5650000 KHz - 5710000 KHz @ 40000 KHz), (300 mBi, 20                                                                             00 mBm)
[   12.250000] cfg80211:   (5735000 KHz - 5835000 KHz @ 40000 KHz), (300 mBi, 30                                                                             00 mBm)
[   12.290000] usbcore: registered new interface driver rt2800usb
[   12.470000] PPP generic driver version 2.4.2
[   12.520000] usbcore: registered new interface driver p54usb
[   12.710000] ip_tables: (C) 2000-2006 Netfilter Core Team
[   12.890000] NET: Registered protocol family 24
[   13.000000] ehci_hcd: USB 2.0 'Enhanced' Host Controller (EHCI) Driver
[   13.000000] ehci-platform ehci-platform: Generic Platform EHCI Controller
[   13.010000] ehci-platform ehci-platform: new USB bus registered, assigned bus                                                                              number 1
[   13.050000] ehci-platform ehci-platform: irq 3, io mem 0x1b000000
[   13.070000] ehci-platform ehci-platform: USB 2.0 started, EHCI 1.00
[   13.070000] hub 1-0:1.0: USB hub found
[   13.080000] hub 1-0:1.0: 1 port detected
[   13.100000] nf_conntrack version 0.5.0 (458 buckets, 1832 max)
[   13.530000] usb 1-1: new high-speed USB device number 2 using ehci-platform
[   13.550000] ohci_hcd: USB 1.1 'Open' Host Controller (OHCI) Driver
[   13.630000] uhci_hcd: USB Universal Host Controller Interface driver
[   13.810000] usbcore: registered new interface driver ath9k_htc
[   13.890000] usbcore: registered new interface driver carl9170
[   14.000000] usbcore: registered new interface driver zd1201
[   14.010000] usbcore: registered new interface driver usblp
[   14.080000] usb 1-1: reset high-speed USB device number 2 using ehci-platform
[   14.100000] Initializing USB Mass Storage driver...
[   14.100000] usbcore: registered new interface driver usb-storage
[   14.110000] USB Mass Storage support registered.
[   14.130000] usbcore: registered new interface driver ums-alauda
[   14.150000] usbcore: registered new interface driver ums-cypress
[   14.160000] usbcore: registered new interface driver ums-datafab
[   14.180000] usbcore: registered new interface driver ums-freecom
[   14.200000] usbcore: registered new interface driver ums-isd200
[   14.220000] usbcore: registered new interface driver ums-jumpshot
[   14.240000] usbcore: registered new interface driver ums-karma
[   14.260000] usbcore: registered new interface driver ums-sddr09
[   14.270000] usbcore: registered new interface driver ums-sddr55
[   14.290000] usbcore: registered new interface driver ums-usbat
[   14.310000] ieee80211 phy1: rt2x00_set_rt: Info - RT chipset 3070, rev 0201 d                                                                             etected
[   14.390000] usbcore: registered new interface driver zd1211rw
[   14.410000] ieee80211 phy1: rt2x00_set_rf: Info - RF chipset 0005 detected
[   14.420000] ieee80211 phy1: Selected rate control algorithm 'minstrel_ht'
[   14.420000] Registered led device: rt2800usb-phy1::radio
[   14.420000] Registered led device: rt2800usb-phy1::assoc
[   14.420000] Registered led device: rt2800usb-phy1::quality
[   19.880000] device eth1 entered promiscuous mode
[   20.480000] eth1: link up (1000Mbps/Full duplex)
[   20.480000] br-lan: port 1(eth1) entered forwarding state
[   20.490000] br-lan: port 1(eth1) entered forwarding state
[   22.490000] br-lan: port 1(eth1) entered forwarding state
[   30.620000] jffs2_scan_eraseblock(): End of filesystem marker found at 0x0
[   30.640000] jffs2_build_filesystem(): unlocking the mtd device... done.
[   30.640000] jffs2_build_filesystem(): erasing all blocks after the end marker                                                                             ... done.
[   57.740000] JFFS2 notice: (1120) jffs2_build_xattr_subsystem: complete buildi                                                                             ng xattr subsystem, 0 of xdatum (0 unchecked, 0 orphan) and 0 of xref (0 dead, 0                                                                              orphan) found.

comment:31 follow-ups: Changed 4 years ago by nbd

Both the internal wifi and the USB one are properly detected. Output looks clean to me.

comment:32 in reply to: ↑ 31 Changed 4 years ago by xbbzaini

Replying to nbd:

Both the internal wifi and the USB one are properly detected. Output looks clean to me.

thanks,but the luci have not wifi modules

comment:33 in reply to: ↑ 31 ; follow-up: Changed 4 years ago by xbbzaini

Replying to nbd:

Both the internal wifi and the USB one are properly detected. Output looks clean to me.

OpenWrt Barrier Breaker r38457 / LuCI Trunk (svn-r9928)

Sat Oct 19 09:20:15 2013 daemon.notice netifd: wan (917): Sending discover...
Sat Oct 19 09:20:17 2013 daemon.info dnsmasq[1118]: read /etc/hosts - 1 addresses
Sat Oct 19 09:20:17 2013 daemon.info dnsmasq[1118]: read /tmp/hosts/6relayd - 1 addresses
Sat Oct 19 09:20:17 2013 daemon.info dnsmasq-dhcp[1118]: read /etc/ethers - 0 addresses
Sat Oct 19 09:20:21 2013 daemon.info dnsmasq-dhcp[1118]: DHCPREQUEST(br-lan) 192.168.10.175 00:14:0b:67:f2:99 
Sat Oct 19 09:20:21 2013 daemon.info dnsmasq-dhcp[1118]: DHCPACK(br-lan) 192.168.10.175 00:14:0b:67:f2:99 PC201308281201
Sat Oct 19 09:20:24 2013 authpriv.warn dropbear[1168]: Failed listening on 'xbbz': Error resolving: Servname not supported for ai_socktype
Sat Oct 19 09:20:24 2013 authpriv.info dropbear[1168]: Premature exit: No listening ports available.
Sat Oct 19 09:20:25 2013 daemon.info dnsmasq-dhcp[1118]: DHCPINFORM(br-lan) 192.168.10.175 00:14:0b:67:f2:99 
Sat Oct 19 09:20:25 2013 daemon.info dnsmasq-dhcp[1118]: DHCPACK(br-lan) 192.168.10.175 00:14:0b:67:f2:99 PC201308281201
Sat Oct 19 09:20:44 2013 kern.info kernel: [   55.930000] IPv6: ADDRCONF(NETDEV_UP): tmp.radio1: link is not ready
Sat Oct 19 09:20:45 2013 kern.info kernel: [   57.230000] IPv6: ADDRCONF(NETDEV_UP): tmp.radio1: link is not ready
Sat Oct 19 09:20:46 2013 kern.info kernel: [   58.540000] IPv6: ADDRCONF(NETDEV_UP): tmp.radio1: link is not ready
Sat Oct 19 09:21:08 2013 kern.info kernel: [   80.090000] IPv6: ADDRCONF(NETDEV_UP): wlan1: link is not ready
Sat Oct 19 09:21:09 2013 kern.info kernel: [   81.640000] wlan1: authenticate with a8:15:4d:ce:59:1a
Sat Oct 19 09:21:09 2013 kern.info kernel: [   81.660000] wlan1: direct probe to a8:15:4d:ce:59:1a (try 1/3)
Sat Oct 19 09:21:10 2013 daemon.notice netifd: wwan (1991): udhcpc (v1.19.4) started
Sat Oct 19 09:21:10 2013 daemon.info dnsmasq[1118]: exiting on receipt of SIGTERM
Sat Oct 19 09:21:10 2013 kern.info kernel: [   81.870000] wlan1: direct probe to a8:15:4d:ce:59:1a (try 2/3)
Sat Oct 19 09:21:10 2013 daemon.notice netifd: wwan (1991): Sending discover...
Sat Oct 19 09:21:10 2013 kern.info kernel: [   82.080000] wlan1: direct probe to a8:15:4d:ce:59:1a (try 3/3)
Sat Oct 19 09:21:10 2013 kern.info kernel: [   82.290000] wlan1: authentication with a8:15:4d:ce:59:1a timed out
Sat Oct 19 09:21:11 2013 user.notice dnsmasq: DNS rebinding protection is active, will discard upstream RFC1918 responses!
Sat Oct 19 09:21:11 2013 user.notice dnsmasq: Allowing 127.0.0.0/8 responses
Sat Oct 19 09:21:13 2013 kern.info kernel: [   84.750000] wlan1: authenticate with a8:15:4d:ce:59:1a
Sat Oct 19 09:21:13 2013 kern.info kernel: [   84.770000] wlan1: direct probe to a8:15:4d:ce:59:1a (try 1/3)
Sat Oct 19 09:21:13 2013 kern.info kernel: [   84.980000] wlan1: direct probe to a8:15:4d:ce:59:1a (try 2/3)
Sat Oct 19 09:21:13 2013 daemon.notice netifd: wwan (1991): Sending discover...
Sat Oct 19 09:21:13 2013 kern.info kernel: [   85.190000] wlan1: direct probe to a8:15:4d:ce:59:1a (try 3/3)
Sat Oct 19 09:21:13 2013 kern.info kernel: [   85.400000] wlan1: authentication with a8:15:4d:ce:59:1a timed out
Sat Oct 19 09:21:14 2013 daemon.info dnsmasq[2040]: started, version 2.66 cachesize 150
Sat Oct 19 09:21:14 2013 daemon.info dnsmasq[2040]: compile time options: IPv6 GNU-getopt no-DBus no-i18n no-IDN DHCP no-DHCPv6 no-Lua TFTP no-conntrack no-ipset no-auth
Sat Oct 19 09:21:14 2013 daemon.info dnsmasq-dhcp[2040]: DHCP, IP range 192.168.10.100 -- 192.168.10.249, lease time 12h
Sat Oct 19 09:21:14 2013 daemon.info dnsmasq[2040]: using local addresses only for domain lan
Sat Oct 19 09:21:14 2013 daemon.warn dnsmasq[2040]: no servers found in /tmp/resolv.conf.auto, will retry
Sat Oct 19 09:21:14 2013 daemon.info dnsmasq[2040]: read /etc/hosts - 1 addresses
Sat Oct 19 09:21:14 2013 daemon.info dnsmasq[2040]: read /tmp/hosts/6relayd - 1 addresses
Sat Oct 19 09:21:14 2013 daemon.info dnsmasq-dhcp[2040]: read /etc/ethers - 0 addresses
Sat Oct 19 09:21:14 2013 kern.info kernel: [   86.620000] wlan1: authenticate with a8:15:4d:ce:59:1a
Sat Oct 19 09:21:14 2013 kern.info kernel: [   86.640000] wlan1: direct probe to a8:15:4d:ce:59:1a (try 1/3)
Sat Oct 19 09:21:15 2013 kern.info kernel: [   86.850000] wlan1: direct probe to a8:15:4d:ce:59:1a (try 2/3)
Sat Oct 19 09:21:15 2013 kern.info kernel: [   87.060000] wlan1: direct probe to a8:15:4d:ce:59:1a (try 3/3)
Sat Oct 19 09:21:15 2013 kern.info kernel: [   87.270000] wlan1: authentication with a8:15:4d:ce:59:1a timed out
Sat Oct 19 09:21:16 2013 daemon.notice netifd: wwan (1991): Sending discover...
Sat Oct 19 09:21:17 2013 kern.info kernel: [   88.960000] wlan1: authenticate with a8:15:4d:ce:59:1a
Sat Oct 19 09:21:17 2013 kern.info kernel: [   88.980000] wlan1: direct probe to a8:15:4d:ce:59:1a (try 1/3)
Sat Oct 19 09:21:17 2013 kern.info kernel: [   89.190000] wlan1: direct probe to a8:15:4d:ce:59:1a (try 2/3)
Sat Oct 19 09:21:17 2013 kern.info kernel: [   89.400000] wlan1: direct probe to a8:15:4d:ce:59:1a (try 3/3)
Sat Oct 19 09:21:17 2013 kern.info kernel: [   89.610000] wlan1: authentication with a8:15:4d:ce:59:1a timed out
Sat Oct 19 09:21:28 2013 kern.info kernel: [  100.340000] wlan1: authenticate with a8:15:4d:ce:59:1a
Sat Oct 19 09:21:28 2013 kern.info kernel: [  100.360000] wlan1: direct probe to a8:15:4d:ce:59:1a (try 1/3)
Sat Oct 19 09:21:28 2013 kern.info kernel: [  100.570000] wlan1: direct probe to a8:15:4d:ce:59:1a (try 2/3)
Sat Oct 19 09:21:29 2013 kern.info kernel: [  100.780000] wlan1: direct probe to a8:15:4d:ce:59:1a (try 3/3)
Sat Oct 19 09:21:29 2013 kern.info kernel: [  100.990000] wlan1: authentication with a8:15:4d:ce:59:1a timed out

comment:34 Changed 4 years ago by wrt160nl

Problem not fixed

  _______                     ________        __
 |       |.-----.-----.-----.|  |  |  |.----.|  |_
 |   -   ||  _  |  -__|     ||  |  |  ||   _||   _|
 |_______||   __|_____|__|__||________||__|  |____|
          |__| W I R E L E S S   F R E E D O M
 -----------------------------------------------------
 BARRIER BREAKER (Bleeding Edge, r38486)
 -----------------------------------------------------
  * 1/2 oz Galliano         Pour all ingredients into
  * 4 oz cold Coffee        an irish coffee mug filled
  * 1 1/2 oz Dark Rum       with crushed ice. Stir.
  * 2 tsp. Creme de Cacao
 -----------------------------------------------------

dmesg sample coming right up :

...
...
...
[    9.720000] usb 1-1.1.4.4: reset high-speed USB device number 5 using ehci-platform
[    9.850000] ieee80211 phy0: rt2x00_set_rt: Info - RT chipset 3070, rev 0201 detected
[    9.880000] ieee80211 phy0: rt2x00_set_rf: Info - RF chipset 0005 detected
[    9.890000] ieee80211 phy0: Selected rate control algorithm 'minstrel_ht'
[    9.900000] usbcore: registered new interface driver rt2800usb
...
...
...
[   24.540000] ieee80211 phy0: rt2x00lib_request_firmware: Info - Loading firmware file 'rt2870.bin'
[   24.560000] ieee80211 phy0: rt2x00lib_request_firmware: Info - Firmware detected - version: 0.29
[   25.390000] IPv6: ADDRCONF(NETDEV_UP): wlan0: link is not ready
[   40.620000] wlan0: authenticate with dc:9f:db:0c:31:51
[   40.760000] wlan0: direct probe to dc:9f:db:0c:31:51 (try 1/3)
[   40.970000] wlan0: send auth to dc:9f:db:0c:31:51 (try 2/3)
[   40.970000] wlan0: authenticated
[   40.990000] wlan0: associate with dc:9f:db:0c:31:51 (try 1/3)
[   41.000000] wlan0: RX AssocResp from dc:9f:db:0c:31:51 (capab=0x421 status=0 aid=5)
[   41.010000] wlan0: associated
[   41.020000] IPv6: ADDRCONF(NETDEV_CHANGE): wlan0: link becomes ready
[  654.780000] ieee80211 phy0: rt2800usb_entry_txstatus_timeout: Warning - TX status timeout for entry 15 in queue 2
[  654.790000] ieee80211 phy0: rt2800usb_entry_txstatus_timeout: Warning - TX status timeout for entry 15 in queue 2
[  654.800000] ieee80211 phy0: rt2800usb_entry_txstatus_timeout: Warning - TX status timeout for entry 15 in queue 2
[  654.810000] ieee80211 phy0: rt2800usb_entry_txstatus_timeout: Warning - TX status timeout for entry 15 in queue 2
[  654.820000] ieee80211 phy0: rt2800usb_entry_txstatus_timeout: Warning - TX status timeout for entry 15 in queue 2
[  654.830000] ieee80211 phy0: rt2800usb_entry_txstatus_timeout: Warning - TX status timeout for entry 15 in queue 2
[  654.840000] ieee80211 phy0: rt2800usb_entry_txstatus_timeout: Warning - TX status timeout for entry 15 in queue 2
[  698.460000] wlan0: deauthenticating from dc:9f:db:0c:31:51 by local choice (reason=3)
[  704.190000] IPv6: ADDRCONF(NETDEV_UP): wlan0: link is not ready
[  711.630000] wlan0: authenticate with 00:0c:f6:4f:dc:4b
[  711.760000] wlan0: direct probe to 00:0c:f6:4f:dc:4b (try 1/3)
[  711.980000] wlan0: direct probe to 00:0c:f6:4f:dc:4b (try 2/3)
[  712.190000] wlan0: send auth to 00:0c:f6:4f:dc:4b (try 3/3)
[  712.200000] wlan0: authenticated
[  712.210000] rt2800usb 1-1.1.4.4:1.0 wlan0: disabling HT as WMM/QoS is not supported by the AP
[  712.220000] rt2800usb 1-1.1.4.4:1.0 wlan0: disabling VHT as WMM/QoS is not supported by the AP
[  712.240000] wlan0: associate with 00:0c:f6:4f:dc:4b (try 1/3)
[  712.260000] wlan0: RX AssocResp from 00:0c:f6:4f:dc:4b (capab=0x421 status=0 aid=3)
[  712.270000] wlan0: associated
[  712.270000] IPv6: ADDRCONF(NETDEV_CHANGE): wlan0: link becomes ready
[ 1169.000000] ieee80211 phy0: rt2800usb_txdone: Warning - Got TX status for an empty queue 0, dropping
[ 1290.940000] ieee80211 phy0: rt2800usb_txdone: Warning - Got TX status for an empty queue 0, dropping
[ 1385.660000] ieee80211 phy0: rt2800usb_entry_txstatus_timeout: Warning - TX status timeout for entry 8 in queue 2
[ 1385.670000] ieee80211 phy0: rt2800usb_entry_txstatus_timeout: Warning - TX status timeout for entry 8 in queue 2
[ 1385.680000] ieee80211 phy0: rt2800usb_entry_txstatus_timeout: Warning - TX status timeout for entry 8 in queue 2
[ 1385.690000] ieee80211 phy0: rt2800usb_entry_txstatus_timeout: Warning - TX status timeout for entry 8 in queue 2
[ 1585.000000] ieee80211 phy0: rt2800usb_txdone: Warning - Got TX status for an empty queue 0, dropping
[ 1628.000000] ieee80211 phy0: rt2800usb_txdone: Warning - Got TX status for an empty queue 0, dropping
[ 1662.540000] ieee80211 phy0: rt2800usb_txdone: Warning - Got TX status for an empty queue 0, dropping
[ 1668.090000] ieee80211 phy0: rt2800usb_entry_txstatus_timeout: Warning - TX status timeout for entry 9 in queue 2
[ 1668.100000] ieee80211 phy0: rt2800usb_entry_txstatus_timeout: Warning - TX status timeout for entry 9 in queue 2
[ 1668.110000] ieee80211 phy0: rt2800usb_entry_txstatus_timeout: Warning - TX status timeout for entry 9 in queue 2
[ 1668.120000] ieee80211 phy0: rt2800usb_entry_txstatus_timeout: Warning - TX status timeout for entry 9 in queue 2
[ 1668.130000] ieee80211 phy0: rt2800usb_entry_txstatus_timeout: Warning - TX status timeout for entry 9 in queue 2
[ 1975.740000] ieee80211 phy0: rt2800usb_txdone: Warning - Got TX status for an empty queue 0, dropping
[ 1992.010000] ieee80211 phy0: rt2800usb_txdone: Warning - Got TX status for an empty queue 0, dropping
[ 2020.190000] ieee80211 phy0: rt2800usb_txdone: Warning - Got TX status for an empty queue 0, dropping
[ 2343.220000] ieee80211 phy0: rt2x00queue_flush_queue: Warning - Queue 2 failed to flush
[ 2344.220000] ieee80211 phy0: rt2x00queue_flush_queue: Warning - Queue 2 failed to flush
[ 2345.220000] ieee80211 phy0: rt2x00queue_flush_queue: Warning - Queue 2 failed to flush
[ 2346.220000] ieee80211 phy0: rt2x00queue_flush_queue: Warning - Queue 2 failed to flush
[ 2347.220000] ieee80211 phy0: rt2x00queue_flush_queue: Warning - Queue 2 failed to flush
[ 2348.220000] ieee80211 phy0: rt2x00queue_flush_queue: Warning - Queue 2 failed to flush
[ 2349.220000] ieee80211 phy0: rt2x00queue_flush_queue: Warning - Queue 2 failed to flush
[ 2350.220000] ieee80211 phy0: rt2x00queue_flush_queue: Warning - Queue 2 failed to flush
[ 2351.220000] ieee80211 phy0: rt2x00queue_flush_queue: Warning - Queue 2 failed to flush
[ 2352.220000] ieee80211 phy0: rt2x00queue_flush_queue: Warning - Queue 2 failed to flush
[ 2354.220000] ieee80211 phy0: rt2x00queue_flush_queue: Warning - Queue 2 failed to flush
[ 2355.220000] ieee80211 phy0: rt2x00queue_flush_queue: Warning - Queue 2 failed to flush
[ 2356.220000] ieee80211 phy0: rt2x00queue_flush_queue: Warning - Queue 2 failed to flush
[ 2358.220000] ieee80211 phy0: rt2x00queue_flush_queue: Warning - Queue 2 failed to flush
[ 2359.220000] ieee80211 phy0: rt2x00queue_flush_queue: Warning - Queue 2 failed to flush
[ 2360.220000] ieee80211 phy0: rt2x00queue_flush_queue: Warning - Queue 2 failed to flush
[ 2361.220000] ieee80211 phy0: rt2x00queue_flush_queue: Warning - Queue 2 failed to flush
[ 2362.220000] ieee80211 phy0: rt2x00queue_flush_queue: Warning - Queue 2 failed to flush
[ 2363.220000] ieee80211 phy0: rt2x00queue_flush_queue: Warning - Queue 2 failed to flush
[ 2364.220000] ieee80211 phy0: rt2x00queue_flush_queue: Warning - Queue 2 failed to flush
[ 2365.220000] ieee80211 phy0: rt2x00queue_flush_queue: Warning - Queue 2 failed to flush
[ 2366.220000] ieee80211 phy0: rt2x00queue_flush_queue: Warning - Queue 2 failed to flush
[ 2367.220000] ieee80211 phy0: rt2x00queue_flush_queue: Warning - Queue 2 failed to flush
[ 2368.220000] ieee80211 phy0: rt2x00queue_flush_queue: Warning - Queue 2 failed to flush
[ 2369.220000] ieee80211 phy0: rt2x00queue_flush_queue: Warning - Queue 2 failed to flush
[ 2371.220000] ieee80211 phy0: rt2x00queue_flush_queue: Warning - Queue 2 failed to flush
[ 2373.220000] ieee80211 phy0: rt2x00queue_flush_queue: Warning - Queue 2 failed to flush
[ 2374.220000] ieee80211 phy0: rt2x00queue_flush_queue: Warning - Queue 2 failed to flush
[ 2375.220000] ieee80211 phy0: rt2x00queue_flush_queue: Warning - Queue 2 failed to flush
[ 2376.220000] ieee80211 phy0: rt2x00queue_flush_queue: Warning - Queue 2 failed to flush
[ 2377.220000] ieee80211 phy0: rt2x00queue_flush_queue: Warning - Queue 2 failed to flush
[ 2378.220000] ieee80211 phy0: rt2x00queue_flush_queue: Warning - Queue 2 failed to flush
[ 2400.650000] ieee80211 phy0: rt2800usb_entry_txstatus_timeout: Warning - TX status timeout for entry 3 in queue 2
[ 2400.660000] ieee80211 phy0: rt2800usb_entry_txstatus_timeout: Warning - TX status timeout for entry 3 in queue 2
[ 2400.670000] ieee80211 phy0: rt2800usb_entry_txstatus_timeout: Warning - TX status timeout for entry 3 in queue 2
[ 2400.680000] ieee80211 phy0: rt2800usb_entry_txstatus_timeout: Warning - TX status timeout for entry 3 in queue 2
[ 2400.690000] ieee80211 phy0: rt2800usb_entry_txstatus_timeout: Warning - TX status timeout for entry 3 in queue 2
[ 2666.440000] ieee80211 phy0: rt2800usb_entry_txstatus_timeout: Warning - TX status timeout for entry 11 in queue 2
[ 2666.450000] ieee80211 phy0: rt2800usb_entry_txstatus_timeout: Warning - TX status timeout for entry 11 in queue 2
[ 2666.460000] ieee80211 phy0: rt2800usb_entry_txstatus_timeout: Warning - TX status timeout for entry 11 in queue 2
[ 2666.470000] ieee80211 phy0: rt2800usb_entry_txstatus_timeout: Warning - TX status timeout for entry 11 in queue 2
[ 2666.480000] ieee80211 phy0: rt2800usb_entry_txstatus_timeout: Warning - TX status timeout for entry 11 in queue 2
[ 2998.940000] ieee80211 phy0: rt2800usb_entry_txstatus_timeout: Warning - TX status timeout for entry 9 in queue 2
[ 2998.950000] ieee80211 phy0: rt2800usb_entry_txstatus_timeout: Warning - TX status timeout for entry 9 in queue 2
[ 2998.960000] ieee80211 phy0: rt2800usb_entry_txstatus_timeout: Warning - TX status timeout for entry 9 in queue 2
[ 2998.970000] ieee80211 phy0: rt2800usb_entry_txstatus_timeout: Warning - TX status timeout for entry 9 in queue 2
[ 3399.220000] ieee80211 phy0: rt2x00queue_flush_queue: Warning - Queue 2 failed to flush
[ 3400.220000] ieee80211 phy0: rt2x00queue_flush_queue: Warning - Queue 2 failed to flush
[ 3403.220000] ieee80211 phy0: rt2x00queue_flush_queue: Warning - Queue 2 failed to flush
[ 3404.220000] ieee80211 phy0: rt2x00queue_flush_queue: Warning - Queue 2 failed to flush
[ 3405.220000] ieee80211 phy0: rt2x00queue_flush_queue: Warning - Queue 2 failed to flush
[ 3408.220000] ieee80211 phy0: rt2x00queue_flush_queue: Warning - Queue 2 failed to flush
[ 3409.220000] ieee80211 phy0: rt2x00queue_flush_queue: Warning - Queue 2 failed to flush
[ 3414.220000] ieee80211 phy0: rt2x00queue_flush_queue: Warning - Queue 2 failed to flush
[ 3417.220000] ieee80211 phy0: rt2x00queue_flush_queue: Warning - Queue 2 failed to flush
[ 3418.220000] ieee80211 phy0: rt2x00queue_flush_queue: Warning - Queue 2 failed to flush
[ 3419.220000] ieee80211 phy0: rt2x00queue_flush_queue: Warning - Queue 2 failed to flush
[ 3428.220000] ieee80211 phy0: rt2x00queue_flush_queue: Warning - Queue 2 failed to flush
[ 3447.430000] ieee80211 phy0: rt2800usb_entry_txstatus_timeout: Warning - TX status timeout for entry 8 in queue 2
[ 3447.440000] ieee80211 phy0: rt2800usb_entry_txstatus_timeout: Warning - TX status timeout for entry 8 in queue 2
[ 3447.450000] ieee80211 phy0: rt2800usb_entry_txstatus_timeout: Warning - TX status timeout for entry 8 in queue 2
[ 3447.460000] ieee80211 phy0: rt2800usb_entry_txstatus_timeout: Warning - TX status timeout for entry 8 in queue 2
[ 3447.470000] ieee80211 phy0: rt2800usb_entry_txstatus_timeout: Warning - TX status timeout for entry 8 in queue 2
[ 3447.480000] ieee80211 phy0: rt2800usb_entry_txstatus_timeout: Warning - TX status timeout for entry 8 in queue 2
[ 4400.850000] ieee80211 phy0: rt2800usb_entry_txstatus_timeout: Warning - TX status timeout for entry 12 in queue 2
[ 4400.860000] ieee80211 phy0: rt2800usb_entry_txstatus_timeout: Warning - TX status timeout for entry 12 in queue 2
[ 4400.870000] ieee80211 phy0: rt2800usb_entry_txstatus_timeout: Warning - TX status timeout for entry 12 in queue 2
[ 4400.880000] ieee80211 phy0: rt2800usb_entry_txstatus_timeout: Warning - TX status timeout for entry 12 in queue 2
[ 4400.890000] ieee80211 phy0: rt2800usb_entry_txstatus_timeout: Warning - TX status timeout for entry 12 in queue 2
[ 5067.220000] ieee80211 phy0: rt2x00queue_flush_queue: Warning - Queue 2 failed to flush
[ 5104.220000] ieee80211 phy0: rt2x00queue_flush_queue: Warning - Queue 2 failed to flush
[ 5330.260000] ieee80211 phy0: rt2800usb_entry_txstatus_timeout: Warning - TX status timeout for entry 2 in queue 2
[ 5330.270000] ieee80211 phy0: rt2800usb_entry_txstatus_timeout: Warning - TX status timeout for entry 2 in queue 2
[ 5330.280000] ieee80211 phy0: rt2800usb_entry_txstatus_timeout: Warning - TX status timeout for entry 2 in queue 2
[ 5330.290000] ieee80211 phy0: rt2800usb_entry_txstatus_timeout: Warning - TX status timeout for entry 2 in queue 2
[ 6101.220000] ieee80211 phy0: rt2x00queue_flush_queue: Warning - Queue 2 failed to flush
[ 6103.220000] ieee80211 phy0: rt2x00queue_flush_queue: Warning - Queue 2 failed to flush
[ 6104.220000] ieee80211 phy0: rt2x00queue_flush_queue: Warning - Queue 2 failed to flush
[ 6106.220000] ieee80211 phy0: rt2x00queue_flush_queue: Warning - Queue 2 failed to flush
[ 6107.220000] ieee80211 phy0: rt2x00queue_flush_queue: Warning - Queue 2 failed to flush
[ 6108.220000] ieee80211 phy0: rt2x00queue_flush_queue: Warning - Queue 2 failed to flush
[ 6114.220000] ieee80211 phy0: rt2x00queue_flush_queue: Warning - Queue 2 failed to flush
[ 6116.220000] ieee80211 phy0: rt2x00queue_flush_queue: Warning - Queue 2 failed to flush
[ 6117.220000] ieee80211 phy0: rt2x00queue_flush_queue: Warning - Queue 2 failed to flush
[ 6125.220000] ieee80211 phy0: rt2x00queue_flush_queue: Warning - Queue 2 failed to flush
[ 6250.170000] ieee80211 phy0: rt2800usb_entry_txstatus_timeout: Warning - TX status timeout for entry 13 in queue 2
[ 6250.180000] ieee80211 phy0: rt2800usb_entry_txstatus_timeout: Warning - TX status timeout for entry 13 in queue 2
[ 6250.190000] ieee80211 phy0: rt2800usb_entry_txstatus_timeout: Warning - TX status timeout for entry 13 in queue 2
[ 6250.200000] ieee80211 phy0: rt2800usb_entry_txstatus_timeout: Warning - TX status timeout for entry 13 in queue 2

comment:35 Changed 4 years ago by wrt160nl

  • Resolution fixed deleted
  • Status changed from closed to reopened

Reopening since problem not fixed.

comment:36 in reply to: ↑ 33 Changed 4 years ago by wrt160nl

Replying to xbbzaini:

Replying to nbd:

Both the internal wifi and the USB one are properly detected. Output looks clean to me.

OpenWrt Barrier Breaker r38457 / LuCI Trunk (svn-r9928)

....
Sat Oct 19 09:21:09 2013 kern.info kernel: [   81.640000] wlan1: authenticate with a8:15:4d:ce:59:1a
Sat Oct 19 09:21:09 2013 kern.info kernel: [   81.660000] wlan1: direct probe to a8:15:4d:ce:59:1a (try 1/3)
Sat Oct 19 09:21:10 2013 kern.info kernel: [   81.870000] wlan1: direct probe to a8:15:4d:ce:59:1a (try 2/3)
Sat Oct 19 09:21:10 2013 daemon.notice netifd: wwan (1991): Sending discover...
Sat Oct 19 09:21:10 2013 kern.info kernel: [   82.080000] wlan1: direct probe to a8:15:4d:ce:59:1a (try 3/3)
Sat Oct 19 09:21:10 2013 kern.info kernel: [   82.290000] wlan1: authentication with a8:15:4d:ce:59:1a timed out
Sat Oct 19 09:21:13 2013 kern.info kernel: [   84.750000] wlan1: authenticate with a8:15:4d:ce:59:1a
Sat Oct 19 09:21:13 2013 kern.info kernel: [   84.770000] wlan1: direct probe to a8:15:4d:ce:59:1a (try 1/3)
Sat Oct 19 09:21:13 2013 kern.info kernel: [   84.980000] wlan1: direct probe to a8:15:4d:ce:59:1a (try 2/3)
Sat Oct 19 09:21:13 2013 daemon.notice netifd: wwan (1991): Sending discover...
Sat Oct 19 09:21:13 2013 kern.info kernel: [   85.190000] wlan1: direct probe to a8:15:4d:ce:59:1a (try 3/3)
Sat Oct 19 09:21:13 2013 kern.info kernel: [   85.400000] wlan1: authentication with a8:15:4d:ce:59:1a timed out
....

That looks to me like 1 of 2 options (wifi is obviously working - so you have the wifi modules) :

  1. the AP you are trying to connect to is out of range

OR

  1. your configuration is incorrect

First I would check if you are in range with

# iw wlan1 scan

If you find your AP in the output you need to check your configuration:
-channel
-mac (bssid)
-AP name (ssid)

If everything is correct and you are in range then I would check if the AP has mac filtering on (does it allow any mac to connect or just a select few).

I use console (no luci) to keep resources free so I wouldn't know how you would go about the above in luci. To run the above command you would have to ssh to the router(telnet first to set the root password with the 'passwd' command).

comment:37 Changed 4 years ago by wrt160nl

BARRIER BREAKER (Bleeding Edge, r38486)

And after a while (it took 15 hours for me) I got this invoke forced forced reset message in the dmesg output and the connection was dropped (no more IP and I had to reconnect to the AP):

...
[53522.070000] ieee80211 phy0: rt2800usb_entry_txstatus_timeout: Warning - TX status timeout for entry 9 in queue 0
[53522.080000] ieee80211 phy0: rt2800usb_entry_txstatus_timeout: Warning - TX status timeout for entry 10 in queue 0
[53522.090000] ieee80211 phy0: rt2800usb_entry_txstatus_timeout: Warning - TX status timeout for entry 10 in queue 0
[53522.100000] ieee80211 phy0: rt2800usb_txdone: Warning - Data pending for entry 6 in queue 2
[53522.110000] ieee80211 phy0: rt2x00usb_watchdog_tx_dma: Warning - TX queue 2 DMA timed out, invoke forced forced reset
[53522.200000] ieee80211 phy0: rt2800usb_txdone: Warning - Got TX status for an empty queue 0, dropping
[53522.290000] ieee80211 phy0: rt2800usb_txdone: Warning - Got TX status for an empty queue 0, dropping
[53522.330000] ieee80211 phy0: rt2x00queue_flush_queue: Warning - Queue 2 failed to flush

comment:38 follow-up: Changed 4 years ago by wrt160nl

BARRIER BREAKER (Bleeding Edge, r38486)

Kernel OOOPS

Uptime around 24H.

OK, I think the problem is more serious. There was a crash :

[ 3828.980000] wlan0: associated
[ 7666.720000] ieee80211 phy0: rt2800usb_tx_sta_fifo_read_completed: Warning - TX status read failed -71
[ 7666.730000] ieee80211 phy0: rt2800usb_tx_sta_fifo_read_completed: Warning - TX status read failed -71
[ 7666.740000] ieee80211 phy0: rt2800usb_tx_sta_fifo_read_completed: Warning - TX status read failed -71
[ 7666.760000] ieee80211 phy0: rt2800usb_tx_sta_fifo_read_completed: Warning - TX status read failed -71
[ 7666.770000] ieee80211 phy0: rt2800usb_tx_sta_fifo_read_completed: Warning - TX status read failed -71
[ 7666.780000] ieee80211 phy0: rt2800usb_tx_sta_fifo_read_completed: Warning - TX status read failed -71
[ 7666.800000] ieee80211 phy0: rt2800usb_tx_sta_fifo_read_completed: Warning - TX status read failed -71
[ 7666.810000] usb 1-1.1.4.4: USB disconnect, device number 5
[ 7666.820000] ieee80211 phy0: rt2800usb_tx_sta_fifo_read_completed: Warning - TX status read failed -71
[ 7667.020000] ieee80211 phy0: rt2x00queue_flush_queue: Warning - Queue 2 failed to flush
[ 7667.030000] wlan0: deauthenticating from dc:9f:db:0c:31:51 by local choice (reason=3)
[ 7667.030000] CPU 0 Unable to handle kernel paging request at virtual address 00000010, epc == 8008bfe0, ra == 8008bfa8
[ 7667.030000] Oops[#1]:
[ 7667.030000] CPU: 0 PID: 251 Comm: khubd Not tainted 3.10.15 #2
[ 7667.030000] task: 819050c0 ti: 81ac2000 task.ti: 81ac2000
[ 7667.030000] $ 0   : 00000000 00000001 00000000 00000000
[ 7667.030000] $ 4   : 8188387c 07ffffff 8188387c 00000001
[ 7667.030000] $ 8   : 00000001 616c2063 686f6963 65202872
[ 7667.030000] $12   : 00000000 00000000 00000000 0000004d
[ 7667.030000] $16   : 00000000 80e4e200 8188387c 00000000
[ 7667.030000] $20   : 00000000 00000003 81acec00 0000000c
[ 7667.030000] $24   : 00000000 8009d348                  
[ 7667.030000] $28   : 81ac2000 81ac3940 81939800 8008bfa8
[ 7667.030000] Hi    : 00000007
[ 7667.030000] Lo    : 00000000
[ 7667.030000] epc   : 8008bfe0 __queue_work+0x134/0x234
[ 7667.030000]     Not tainted
[ 7667.030000] ra    : 8008bfa8 __queue_work+0xfc/0x234
[ 7667.030000] Status: 1000fc02	KERNEL EXL 
[ 7667.030000] Cause : 80800008
[ 7667.030000] BadVA : 00000010
[ 7667.030000] PrId  : 00019374 (MIPS 24Kc)
[ 7667.030000] Modules linked in: ath9k rt2800usb rt2800lib pppoe ppp_async iptable_nat ath9k_common rt2x00usb rt2x00lib pppox ppp_generic nf_nat_ipv4 nf_conntrack_ipv4 mac80211 ipt_MASQUERADE cfg80211 ath9k_hw xt_time xt_tcpudp xt_state xt_nat xt_multiport xt_mark xt_mac xt_limit xt_conntrack xt_comment xt_TCPMSS xt_REDIRECT xt_LOG xt_CT slhc nf_nat_irc nf_nat_ftp nf_nat nf_defrag_ipv4 nf_conntrack_irc nf_conntrack_ftp iptable_raw iptable_mangle iptable_filter ipt_REJECT ip_tables crc_itu_t crc_ccitt compat ath ledtrig_usbdev ledtrig_netdev ip6t_REJECT ip6t_rt ip6t_hbh ip6t_mh ip6t_ipv6header ip6t_frag ip6t_eui64 ip6t_ah ip6table_raw ip6table_mangle ip6table_filter ip6_tables x_tables nf_conntrack_ipv6 nf_conntrack nf_defrag_ipv6 ipv6 arc4 crypto_blkcipher leds_gpio ohci_hcd ledtrig_timer ledtrig_default_on ehci_platform ehci_hcd gpio_button_hotplug usbcore nls_base usb_common crypto_hash
[ 7667.030000] Process khubd (pid: 251, threadinfo=81ac2000, task=819050c0, tls=00000000)
[ 7667.030000] Stack : 00000000 00000001 00000004 819050c0 81828cc0 819050c0 00000001 00000009
[ 7667.030000] 	  8188387c 80d0d2d0 00000002 8008c134 80301d90 81828c90 00000000 00000000
[ 7667.030000] 	  80d0d2c0 80e5ae4c 81acec00 0000000c 81939800 8009a9bc 80300000 81828c90
[ 7667.030000] 	  80d0d2c0 00000000 00000000 80d1c480 00000003 81882a80 00000001 00000007
[ 7667.030000] 	  81883400 80d0d300 00000000 81ac3a68 000000c0 80d19c7c 00000000 00000006
[ 7667.030000] 	  ...
[ 7667.030000] Call Trace:
[ 7667.030000] [<8008bfe0>] __queue_work+0x134/0x234
[ 7667.030000] [<8008c134>] queue_work_on+0x44/0x68
[ 7667.030000] [<80e5ae4c>] rt2x00usb_flush_queue+0x90/0x258 [rt2x00usb]
[ 7667.030000] [<80d1c480>] rt2x00queue_flush_queue+0x94/0xf8 [rt2x00lib]
[ 7667.030000] [<80d19c7c>] rt2x00mac_flush+0x2c/0x68 [rt2x00lib]
[ 7667.030000] [<80e23c08>] ieee80211_flush_queues+0xb4/0xe8 [mac80211]
[ 7667.030000] [<80e2a26c>] ieee80211_recalc_ps_vif+0x148/0x11d4 [mac80211]
[ 7667.030000] [<800a5384>] tick_program_event+0x28/0x34
[ 7667.030000] [<80e2d870>] ieee80211_mgd_deauth+0x16c/0x1a0 [mac80211]
[ 7667.030000] [<80cd9cf8>] cfg80211_mlme_deauth+0x88/0x94 [cfg80211]
[ 7667.030000] [<80cd9e38>] cfg80211_mlme_down+0x64/0x78 [cfg80211]
[ 7667.030000] [<80cdd030>] cfg80211_disconnect+0xb4/0x114 [cfg80211]
[ 7667.030000] [<80cc1394>] cfg80211_leave+0xa4/0x738 [cfg80211]
[ 7667.030000] [<80cc15bc>] cfg80211_leave+0x2cc/0x738 [cfg80211]
[ 7667.030000] [<8009ab64>] try_to_wake_up+0xb4/0xe4
[ 7667.030000] 
[ 7667.030000] 
[ 7667.030000] Code: 8c430004  10710003  00000000 <08022ffc> 8e020010  00408021  8e020010  14400015  00000000 
[ 7667.360000] ---[ end trace eaa308379608756d ]---

nbd, if you need anything else please don't hesitate, weather it is installing anything or compiling with debug support or whatever.

Is this related to this problem or should I search/open a new bug?

Last edited 4 years ago by wrt160nl (previous) (diff)

comment:39 in reply to: ↑ 38 Changed 4 years ago by anonymous

Replying to nbd:

I found attitude_adjustment r36469 haven't this problem,Because it used to be compat-wireless-2012-09-07.but the attitude_adjustment r36470 had this problem,Because it used to be compat-wireless-2013-02-22,I used the attitude_adjustment r36469,But with 3070 connected WiFi speed is only half.

comment:40 in reply to: ↑ 22 Changed 4 years ago by xbbzaini

Replying to giuseppe_stolnicu@…:
You right,compat-wireless version had something problems

comment:41 in reply to: ↑ 26 Changed 4 years ago by anonymous

Replying to nbd:

Do you have to find a way to solve this problem?

comment:42 follow-up: Changed 4 years ago by nbd

please try latest trunk

comment:43 Changed 4 years ago by wrt160nl

Still there ...

root@0:/# cat /etc/banner 
  _______                     ________        __
 |       |.-----.-----.-----.|  |  |  |.----.|  |_
 |   -   ||  _  |  -__|     ||  |  |  ||   _||   _|
 |_______||   __|_____|__|__||________||__|  |____|
          |__| W I R E L E S S   F R E E D O M
 -----------------------------------------------------
 BARRIER BREAKER (Bleeding Edge, r38990)
 -----------------------------------------------------
  * 1/2 oz Galliano         Pour all ingredients into
  * 4 oz cold Coffee        an irish coffee mug filled
  * 1 1/2 oz Dark Rum       with crushed ice. Stir.
  * 2 tsp. Creme de Cacao
 -----------------------------------------------------
root@0:/# dmesg | tail
[ 3540.140000] ieee80211 phy0: rt2800usb_entry_txstatus_timeout: Warning - TX status timeout for entry 3 in queue 0
[ 3540.150000] ieee80211 phy0: rt2800usb_entry_txstatus_timeout: Warning - TX status timeout for entry 3 in queue 0
[ 3540.210000] ieee80211 phy0: rt2800usb_entry_txstatus_timeout: Warning - TX status timeout for entry 4 in queue 0
[ 3540.220000] ieee80211 phy0: rt2800usb_entry_txstatus_timeout: Warning - TX status timeout for entry 4 in queue 0
[ 3540.230000] ieee80211 phy0: rt2800usb_entry_txstatus_timeout: Warning - TX status timeout for entry 4 in queue 0
[ 3540.240000] ieee80211 phy0: rt2800usb_entry_txstatus_timeout: Warning - TX status timeout for entry 11 in queue 2
[ 3540.250000] ieee80211 phy0: rt2800usb_entry_txstatus_timeout: Warning - TX status timeout for entry 11 in queue 2
[ 3540.260000] ieee80211 phy0: rt2800usb_txdone: Warning - Got TX status for an empty queue 0, dropping
[ 3540.330000] ieee80211 phy0: rt2800usb_txdone: Warning - Got TX status for an empty queue 0, dropping
[ 3540.380000] ieee80211 phy0: rt2800usb_txdone: Warning - Got TX status for an empty queue 2, dropping
root@0:/# dmesg | grep rt2800usb | wc -l
829
root@0:/#

comment:45 Changed 4 years ago by anonymous

The latest kernel(linux-3.10.23)maybe solve this problem

comment:46 in reply to: ↑ 42 Changed 4 years ago by anonymous

Replying to nbd:

please try latest trunk

can you upgrade the latest compat-wireless,thx.

comment:47 Changed 4 years ago by wrt160nl

Hi nbd,

Alfa Networks has released a new driver (v2.6.1.3 - 2013/11/27) 2 months ago for their rt3070 chip usb wifi adapter (ge-rt3070 / awus036nh).

Direct download link: http://sourceforge.net/projects/alfanetwork/files/Driver/3070_LinuxSTA_2.6.1.3_20121022.tar.bz2/download

I tested it on my arch linux with 3.12.8 kernel and it build and inserts without any errors (well except some cp commands to a /tftpboot dir that I commented out). I also placed 2870 first on the chipset line in the makefile since it builds only the first.

For now i can only scan the waves because it has a semi-documented .dat settings file and I don't know what to modify (i tried the stuff in the readme but wihtout success).

Anyway the scan seemed promising : my router with the new driver was shown to have a signal power of -1, while the old rt2800usb shows it at -11. Fingers crossed, maybe it works...

Can you please check it out and if it works can you please add it to trunk?

comment:48 Changed 4 years ago by wrt160nl

Maybe at least we can use the usb part since everybody says its probably the usb?

Last edited 4 years ago by wrt160nl (previous) (diff)

comment:49 Changed 4 years ago by anonymous

i'm pretty sure it has nothing to do with USB.

the best explanation i've came across so far:
https://bugzilla.kernel.org/show_bug.cgi?id=62781#c9

one more thing: i did a test without any patch, but with sys and kernel logs set to critical level. the sys log remain empty but for some reason there were still some of these messages in kernel log. not much as before but the real question is how did they appear at all if the logging level should reject them?!?

link was stable and throughput good so this might be one possible solution for those who are lame to compile image

comment:50 Changed 4 years ago by anonymous

> ---
>  drivers/net/wireless/rt2x00/rt2800usb.c | 10 +++++-----
>  1 file changed, 5 insertions(+), 5 deletions(-)
> 
> diff --git a/drivers/net/wireless/rt2x00/rt2800usb.c b/drivers/net/wireless/rt2x00/rt2800usb.c
> index caddc1b..14a90dd 100644
> --- a/drivers/net/wireless/rt2x00/rt2800usb.c
> +++ b/drivers/net/wireless/rt2x00/rt2800usb.c
> @@ -125,9 +125,9 @@ static inline bool rt2800usb_entry_txstatus_timeout(struct queue_entry *entry)
>  
>  	tout = time_after(jiffies, entry->last_action + msecs_to_jiffies(100));
>  	if (unlikely(tout))
> -		rt2x00_warn(entry->queue->rt2x00dev,
> -			    "TX status timeout for entry %d in queue %d\n",
> -			    entry->entry_idx, entry->queue->qid);
> +		rt2x00_dbg(entry->queue->rt2x00dev,
> +			   "TX status timeout for entry %d in queue %d\n",
> +			   entry->entry_idx, entry->queue->qid);
>  	return tout;
>  
>  }
> @@ -566,8 +566,8 @@ static void rt2800usb_txdone(struct rt2x00_dev *rt2x00dev)
>  		queue = rt2x00queue_get_tx_queue(rt2x00dev, qid);
>  
>  		if (unlikely(rt2x00queue_empty(queue))) {
> -			rt2x00_warn(rt2x00dev, "Got TX status for an empty queue %u, dropping\n",
> -				    qid);
> +			rt2x00_dbg(rt2x00dev, "Got TX status for an empty queue %u, dropping\n",
> +				   qid);
>  			break;
>  		}
>  
> 

comment:51 Changed 4 years ago by wintergarten

It seems the same issue is being discussed on the Fedora bugtracker. The following comments refer to a possible fix:

https://bugzilla.redhat.com/show_bug.cgi?id=913631#c41
https://bugzilla.redhat.com/show_bug.cgi?id=913631#c42

comment:52 Changed 4 years ago by jow

  • Milestone changed from Attitude Adjustment 12.09 to Barrier Breaker 14.07

Milestone Attitude Adjustment 12.09 deleted

comment:53 follow-up: Changed 4 years ago by ericwong

I think these tickets are describing the same problems as this ticket.
/ticket/14138.html
/ticket/14744.html
/ticket/14531.html
/ticket/16853.html
/ticket/12313.html

Last edited 3 years ago by ericwong (previous) (diff)

comment:54 Changed 3 years ago by nbd

  • Resolution set to duplicate
  • Status changed from reopened to closed

comment:55 in reply to: ↑ 53 Changed 3 years ago by true

I believe this is a different problem, and also is still not fixed upstream. It has existed since kernel 3.6 or 3.7. I have been tracking it for nearly two years now.

This one is specific to the USB portion of the module. While other errors can occur with this one, "phy0 -> rt2x00queue_write_tx_frame: Error - Arrived at non-free entry in the non-full queue X." is never one of them. The other ticket causes connection problems, while this one adds extreme latency and severely decreases throughput but does usually drop connections (only a few rare codepaths cause that as shown above).

comment:56 Changed 3 years ago by true

sorry, meant "does _not_ usually drop connections."

comment:57 Changed 3 years ago by ett@…

I got the same problem with two Raspbian Raspberry Pi (3.12.35+ / 3.12.26+) and two different USB WiFi sticks. I bought two additional sticks and got the same results, messages in the log (rt2800usb_entry_txstatus_timeout: Warning - TX status timeout) and really crappy performance. SCP stalled on my intranet.
I then changed the access point and all problems disappeared. I still get a few error messages in syslog, but the performance is where it is supposed to be.

comment:58 Changed 3 years ago by anonymous

I also have problem with performance of my wireless usb dongle on rpi. I have found that turning power managment off using command 'iwconfig wlan0 power off' solved performance issues. Messages still appears in logs, but it is working ok.

Add Comment

Modify Ticket

Action
as closed .
The resolution will be deleted. Next status will be 'reopened'.
Author


E-mail address and user name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.